[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomDrawGrid.DrawCellAutonumbering

Draws a cell with auto-numbering.

## Declaration

Source position: grids.pas line 1424

`protected procedure TCustomDrawGrid.DrawCellAutonumbering(`
`aCol: Integer;`
`aRow: Integer;`
`aRect: TRect;`
`const aValue: string`
`); virtual;`

## Arguments

`aCol` |  | Column number for the cell.
`aRow` |  | Row number for the cell.
`aRect` |  | Rectangle with the bounds for the cell.
`aValue` |  | Text drawn in the cell.

## Description

DrawCellAutonumbering is a method used to draw the text in AValue for the auto-numbered cell at the position in ACol and aRow. DrawCellAutonumbering calls DrawCellText to render the text using the parameter values.

DrawCellAutonumbering is called from the DefaultDrawCell method using the relative non-fixed row number as the text for the cell.